import sys

from kuralib.config import Config

from kuraxmlimport import KuraXMLImport
from kuradbwriter import KuraDBWriter

def main(args):
  xmlimp=KuraXMLImport()
  for arg in args:
    xmlimp.doReset()
    xmlimp.feed(open(arg).read())
    xmlimp.close()
  dbwr=KuraDBWriter(xmlimp.getDom())
  dbwr.start()
  
if __name__=="__main__":
  main(sys.argv[1:])

