# table types

PKNR=0   # table with a numeric primary key
SEQ=0    # table with a numeric primary key and a sequential counter
CODE=0   # code table with a varchar primary key
SYSTEM=1 # system code table with a varchar primary key
LINK=2   # many-to-many link table with a primary key that consists
         # of the primary keys of the linked tables


# datatypes

INTEGER  = 0
VARCHAR  = 1
TEXT     = 2
BOOLEAN  = 3
DATETIME = 4
DATE     = 5

# widgettypes

LINEEDIT  = 0
MULTILINE = 1
COMBOBOX  = 2

# config

USERNR      = 2

# silly, really

TRUE=1
FALSE=0

# modes

INSERT = 0
UPDATE = 1
DELETE = 2
SEARCH = 4

# form types

MASTER=0
DETAIL=1

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.3 $
    Last edited          : $Date: 2001/01/08 20:55:06 $
    
    CVS Log:         
    $Log: constants.py,v $
    Revision 1.3  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
