from qt import QAction, SIGNAL, PYSIGNAL

class guiAction (QAction):
  def __init__(self, *args):
    apply(QAction.__init__,(self,)+args)
    self.name=None
    self.dlgSearch=None
    self.dlgForm=None
    self.connect(self, SIGNAL("activated()"), self.slotActivatedName)
  
  def setName(self, name):
    self.name=name

  def setSearchForm(self, form):
    self.dlgSearch=form
    
  def setForm(self, form):
    self.dlgForm=form
  
  def slotActivatedName(self):
    self.emit( PYSIGNAL("activatedName"),(self.name,) )
  

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.3 $
    Last edited          : $Date: 2001/01/08 20:55:06 $
    
    CVS Log:         
    $Log: guiaction.py,v $
    Revision 1.3  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
