#!/usr/bin/env python

#
# Lineedit control where only numeric input is allowed
#

from guilineedit import guiLineEdit
from qt import *


class guiNumberBox(guiLineEdit):

  def __init__(self, *args):
    apply(guiLineEdit.__init__,(self,)+args)
    self.setMaximumHeight(self.sizeHint().height())
    
  def setText(self, value):
    guiLineEdit.setText(self, str(value))
    
  def text(self):
    if guiLineEdit.text(self)==None:
      return None
    else:  
      return int(str(guiLineEdit.text(self)))
    

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.5 $
    Last edited          : $Date: 2001/01/08 20:55:07 $
    
    CVS Log:         
    $Log: guinumberbox.py,v $
    Revision 1.5  2001/01/08 20:55:07  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
