from kuragui.constants import *
from kuragui.guicombobox import guiComboBox
from kuralib.config import Config

class kuraCmbTags(guiComboBox):

  def __init__(self, parent, parentTableName, *args):
    guiComboBox.__init__(self, parent, )
    
    self.parent=parent
    self.parentTableName=parentTableName

    self.refresh()
    
  def refresh(self):
    self.clear()    
    searchRec=Config.app.createObject("lng_tag")
    if self.parentTableName=="lng_lex":
      searchRec.lexeme=TRUE
    elif self.parentTableName=="lng_text":
      searchRec.text=TRUE
    elif self.parentTableName=="lng_stream":
      searchRec.stream=TRUE
    elif self.parentTableName=="lng_element":
      searchRec.element=TRUE
    rows=Config.app.getObjects("lng_tag", searchRec.getFields())
    for row in rows:
      self.insertItem(row.name, row.tag)

  def currentKey(self):
    return str(guiComboBox.currentKey(self))

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.5 $
    Last edited          : $Date: 2001/01/08 20:55:06 $
    
    CVS Log:         
    $Log: kuracmbtags.py,v $
    Revision 1.5  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
