# Form implementation generated from reading ui file 'dialogs/wiznewtext.ui'
#
# Created: Thu Feb 1 21:08:44 2001
#      by: The Python User Interface Compiler (pyuic)
#
# WARNING! All changes made in this file will be lost!


from qt import *


class wizNewText(QWizard):
    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        QWizard.__init__(self,parent,name,modal,fl)

        if name == None:
            self.setName('wizNewText')

        self.resize(543,480)
        self.setCaption(self.tr('Create a new text'))

        self.pageRecord = QWidget(self,'pageRecord')
        pageRecordLayout = QGridLayout(self.pageRecord)
        pageRecordLayout.setSpacing(6)
        pageRecordLayout.setMargin(11)

        self.txtTitle = QLineEdit(self.pageRecord,'txtTitle')
        self.txtTitle.setMaxLength(255)

        pageRecordLayout.addWidget(self.txtTitle,0,3)

        self.txtDescription = QMultiLineEdit(self.pageRecord,'txtDescription')

        pageRecordLayout.addWidget(self.txtDescription,1,3)

        self.txtUrl = QLineEdit(self.pageRecord,'txtUrl')

        pageRecordLayout.addWidget(self.txtUrl,2,3)

        self.cmbLanguage = QComboBox(0,self.pageRecord,'cmbLanguage')

        pageRecordLayout.addWidget(self.cmbLanguage,3,3)

        self.cmbRecording = QComboBox(0,self.pageRecord,'cmbRecording')

        pageRecordLayout.addWidget(self.cmbRecording,4,3)

        self.cmbScan = QComboBox(0,self.pageRecord,'cmbScan')

        pageRecordLayout.addWidget(self.cmbScan,5,3)

        self.txtTranscriptionDate = QLineEdit(self.pageRecord,'txtTranscriptionDate')
        self.txtTranscriptionDate.setMaxLength(12)
        QWhatsThis.add(self.txtTranscriptionDate,self.tr('This is the date the text was first transcribed.'))

        pageRecordLayout.addWidget(self.txtTranscriptionDate,6,3)

        self.lblDescription = QLabel(self.pageRecord,'lblDescription')
        self.lblDescription.setText(self.tr('&Description'))
        self.lblDescription.setAlignment(QLabel.AlignTop | QLabel.AlignLeft)

        pageRecordLayout.addWidget(self.lblDescription,1,2)

        self.lblRecording = QLabel(self.pageRecord,'lblRecording')
        self.lblRecording.setText(self.tr('&Recording'))

        pageRecordLayout.addWidget(self.lblRecording,4,2)

        self.lblScan = QLabel(self.pageRecord,'lblScan')
        self.lblScan.setText(self.tr('&Scan'))

        pageRecordLayout.addWidget(self.lblScan,5,2)

        self.lblTranscriptionDate = QLabel(self.pageRecord,'lblTranscriptionDate')
        self.lblTranscriptionDate.setText(self.tr('Date transcribed'))

        pageRecordLayout.addWidget(self.lblTranscriptionDate,6,2)

        self.lblLanguage = QLabel(self.pageRecord,'lblLanguage')
        self.lblLanguage.setText(self.tr('&Language'))

        pageRecordLayout.addWidget(self.lblLanguage,3,2)

        self.lblUrl = QLabel(self.pageRecord,'lblUrl')
        self.lblUrl.setText(self.tr('&URL'))
        self.lblUrl.setSizePolicy(QSizePolicy(5,5,self.lblUrl.sizePolicy().hasHeightForWidth()))

        pageRecordLayout.addWidget(self.lblUrl,2,2)

        self.lblTitle = QLabel(self.pageRecord,'lblTitle')
        self.lblTitle.setText(self.tr('&Title'))

        pageRecordLayout.addWidget(self.lblTitle,0,2)

        self.lblDataHelp = QLabel(self.pageRecord,'lblDataHelp')
        self.lblDataHelp.setText(self.tr('Enter the basic descriptive data for this text: the title, a freeform description, links to sound recordings and manuscript scans, the basic language of the text and the date the text was transcribed.\n\nIf you use HTML markup in the Description, the kuraserver will use that to present it on the web.\n\nThe URL can be a link to a website connected with the text. \n\nThe language is the basic language of the text: individual phrases and words can be marked to be in another language.'))
        self.lblDataHelp.setAlignment(QLabel.WordBreak | QLabel.AlignTop | QLabel.AlignLeft)
        self.lblDataHelp.setMaximumSize(QSize(175,32767))

        pageRecordLayout.addMultiCellWidget(self.lblDataHelp,0,6,0,0)

        self.Line1 = QFrame(self.pageRecord,'Line1')
        self.Line1.setFrameStyle(QFrame.VLine | QFrame.Sunken)

        pageRecordLayout.addMultiCellWidget(self.Line1,0,6,1,1)
        self.addPage(self.pageRecord,self.tr('Basic data'))

        self.pageParsing = QWidget(self,'pageParsing')
        pageParsingLayout = QGridLayout(self.pageParsing)
        pageParsingLayout.setSpacing(6)
        pageParsingLayout.setMargin(11)

        self.txtStreamRegExp = QLineEdit(self.pageParsing,'txtStreamRegExp')
        self.txtStreamRegExp.setText(self.tr('[.!?\\12]'))

        pageParsingLayout.addWidget(self.txtStreamRegExp,1,4)

        self.txtMorphemeRegExp = QLineEdit(self.pageParsing,'txtMorphemeRegExp')
        self.txtMorphemeRegExp.setText(self.tr('[.]'))

        pageParsingLayout.addWidget(self.txtMorphemeRegExp,3,4)

        self.txtElementRegExp = QLineEdit(self.pageParsing,'txtElementRegExp')
        self.txtElementRegExp.setText(self.tr('[ ,:;]'))

        pageParsingLayout.addWidget(self.txtElementRegExp,2,4)

        self.lblParseHelp = QLabel(self.pageParsing,'lblParseHelp')
        self.lblParseHelp.setText(self.tr('New textual data can be entered in one of two ways: by parsing plain text using regular expressions that look for punctuation of special marks.\n\nRegular expressions can parse a text on three levels: phrases, words and morphemes. \n\nAfter parsing, the texts must be tagged. \n\nIf you want to parse XML text, you must currently use\nthe command line.'))
        self.lblParseHelp.setAlignment(QLabel.WordBreak | QLabel.AlignTop | QLabel.AlignLeft)
        self.lblParseHelp.setMaximumSize(QSize(175,32767))

        pageParsingLayout.addMultiCellWidget(self.lblParseHelp,0,7,0,0)

        self.Line2 = QFrame(self.pageParsing,'Line2')
        self.Line2.setFrameStyle(QFrame.VLine | QFrame.Sunken)

        pageParsingLayout.addMultiCellWidget(self.Line2,0,7,1,2)

        self.chkLexLookup = QCheckBox(self.pageParsing,'chkLexLookup')
        self.chkLexLookup.setText(self.tr('Lookup words and morphemes in the lexicon.'))
        self.chkLexLookup.setChecked(1)

        pageParsingLayout.addMultiCellWidget(self.chkLexLookup,5,5,3,4)

        self.chkElmtLookup = QCheckBox(self.pageParsing,'chkElmtLookup')
        self.chkElmtLookup.setText(self.tr('Lookup words and morphemes in other texts'))
        self.chkElmtLookup.setChecked(1)

        pageParsingLayout.addMultiCellWidget(self.chkElmtLookup,4,4,3,4)

        self.grpParser = QGroupBox(self.pageParsing,'grpParser')
        self.grpParser.setTitle(self.tr('Parser'))
        self.grpParser.setColumnLayout(0,Qt.Vertical)
        self.grpParser.layout().setSpacing(0)
        self.grpParser.layout().setMargin(0)
        grpParserLayout = QGridLayout(self.grpParser.layout())
        grpParserLayout.setAlignment(Qt.AlignTop)
        grpParserLayout.setSpacing(6)
        grpParserLayout.setMargin(11)

        self.rdbRegExp = QRadioButton(self.grpParser,'rdbRegExp')
        self.rdbRegExp.setText(self.tr('Parse using regular expressions'))
        self.rdbRegExp.setChecked(1)

        grpParserLayout.addWidget(self.rdbRegExp,0,0)

        self.rdbXML = QRadioButton(self.grpParser,'rdbXML')
        self.rdbXML.setText(self.tr('Parse XML-markup text'))
        self.rdbXML.setEnabled(0)

        grpParserLayout.addWidget(self.rdbXML,1,0)

        pageParsingLayout.addMultiCellWidget(self.grpParser,0,0,3,4)

        self.lblStreamRegExp = QLabel(self.pageParsing,'lblStreamRegExp')
        self.lblStreamRegExp.setText(self.tr('Stream regular expression'))

        pageParsingLayout.addWidget(self.lblStreamRegExp,1,3)

        self.lblElementRegexp = QLabel(self.pageParsing,'lblElementRegexp')
        self.lblElementRegexp.setText(self.tr('Word regular expression'))

        pageParsingLayout.addWidget(self.lblElementRegexp,2,3)

        self.lblMorphemeRegExp = QLabel(self.pageParsing,'lblMorphemeRegExp')
        self.lblMorphemeRegExp.setText(self.tr('Morpheme regular expression'))

        pageParsingLayout.addWidget(self.lblMorphemeRegExp,3,3)
        self.addPage(self.pageParsing,self.tr('Determine parsing'))

        self.pageText = QWidget(self,'pageText')
        pageTextLayout = QGridLayout(self.pageText)
        pageTextLayout.setSpacing(6)
        pageTextLayout.setMargin(11)

        self.bnLoad = QPushButton(self.pageText,'bnLoad')
        self.bnLoad.setText(self.tr('Load from File'))

        pageTextLayout.addWidget(self.bnLoad,0,1)

        self.lblTextHelp = QLabel(self.pageText,'lblTextHelp')
        self.lblTextHelp.setText(self.tr('Either paste a text (plain text in utf-8 Unicode encoding), or open a text with the Load from File button.'))
        self.lblTextHelp.setAlignment(QLabel.WordBreak | QLabel.AlignTop | QLabel.AlignLeft)

        pageTextLayout.addWidget(self.lblTextHelp,0,0)

        self.progressParsing = QProgressBar(self.pageText,'progressParsing')
        self.progressParsing.setFrameShape(QProgressBar.Panel)

        pageTextLayout.addMultiCellWidget(self.progressParsing,2,2,0,1)

        self.txtRawText = QMultiLineEdit(self.pageText,'txtRawText')

        pageTextLayout.addMultiCellWidget(self.txtRawText,1,1,0,1)
        self.addPage(self.pageText,self.tr('Enter the prepared text'))

        self.pageParseTree = QWidget(self,'pageParseTree')
        pageParseTreeLayout = QGridLayout(self.pageParseTree)
        pageParseTreeLayout.setSpacing(6)
        pageParseTreeLayout.setMargin(11)

        self.lsvParseTree = QListView(self.pageParseTree,'lsvParseTree')
        self.lsvParseTree.addColumn(self.tr('Type'))
        self.lsvParseTree.addColumn(self.tr('Text'))
        self.lsvParseTree.addColumn(self.tr('Lexeme'))
        self.lsvParseTree.setRootIsDecorated(1)

        pageParseTreeLayout.addWidget(self.lsvParseTree,0,2)

        self.lblParseTreeHelp = QLabel(self.pageParseTree,'lblParseTreeHelp')
        self.lblParseTreeHelp.setText(self.tr('You can check the result of the parsing in this treeview. It shows the streams, words and morphemes, and lexemes and morphemes found by these items.\n\nIf you want to make corrections, please edit the prepared text and parse again.'))
        self.lblParseTreeHelp.setAlignment(QLabel.WordBreak | QLabel.AlignTop | QLabel.AlignLeft)
        self.lblParseTreeHelp.setMaximumSize(QSize(175,32767))

        pageParseTreeLayout.addWidget(self.lblParseTreeHelp,0,0)

        self.Line4 = QFrame(self.pageParseTree,'Line4')
        self.Line4.setFrameStyle(QFrame.VLine | QFrame.Sunken)

        pageParseTreeLayout.addWidget(self.Line4,0,1)
        self.addPage(self.pageParseTree,self.tr('Check parse tree'))

        self.pageProjects = QWidget(self,'pageProjects')
        pageProjectsLayout = QGridLayout(self.pageProjects)
        pageProjectsLayout.setSpacing(6)
        pageProjectsLayout.setMargin(11)

        self.lsbProjects = QListBox(self.pageProjects,'lsbProjects')
        self.lsbProjects.setSelectionMode(QListBox.Extended)

        pageProjectsLayout.addWidget(self.lsbProjects,0,2)

        self.lblProjectChooser = QLabel(self.pageProjects,'lblProjectChooser')
        self.lblProjectChooser.setText(self.tr('Pick all projects this text is relevant to. You can make an extended selection by pressing CTRL and clicking on a project.'))
        self.lblProjectChooser.setAlignment(QLabel.WordBreak | QLabel.AlignTop | QLabel.AlignLeft)
        self.lblProjectChooser.setMaximumSize(QSize(175,32767))

        pageProjectsLayout.addWidget(self.lblProjectChooser,0,0)

        self.Line6 = QFrame(self.pageProjects,'Line6')
        self.Line6.setFrameStyle(QFrame.VLine | QFrame.Sunken)

        pageProjectsLayout.addWidget(self.Line6,0,1)
        self.addPage(self.pageProjects,self.tr('Choose projects'))

        self.pageReady = QWidget(self,'pageReady')
        pageReadyLayout = QGridLayout(self.pageReady)
        pageReadyLayout.setSpacing(6)
        pageReadyLayout.setMargin(11)

        self.lblDoneHelp = QLabel(self.pageReady,'lblDoneHelp')
        self.lblDoneHelp.setText(self.tr('The new text has been parsed; you can now press Finish, and it will be entered in the Kura database. From that moment on, it is available from the Kura server and you can edit and analyze it in the Kura desktop client.'))
        self.lblDoneHelp.setAlignment(QLabel.WordBreak | QLabel.AlignTop | QLabel.AlignLeft)

        pageReadyLayout.addWidget(self.lblDoneHelp,1,1)

        self.lblDone = QLabel(self.pageReady,'lblDone')
        self.lblDone.setText(self.tr('Done!'))
        lblDone_font = QFont(self.lblDone.font())
        lblDone_font.setPointSize(24)
        lblDone_font.setBold(1)
        lblDone_font.setItalic(1)
        self.lblDone.setFont(lblDone_font)
        self.lblDone.setAlignment(QLabel.AlignCenter)

        pageReadyLayout.addWidget(self.lblDone,0,1)
        self.addPage(self.pageReady,self.tr('Ready'))

        self.setTabOrder(self.txtTitle,self.txtDescription)
        self.setTabOrder(self.txtDescription,self.txtUrl)
        self.setTabOrder(self.txtUrl,self.cmbLanguage)
        self.setTabOrder(self.cmbLanguage,self.cmbRecording)
        self.setTabOrder(self.cmbRecording,self.cmbScan)
        self.setTabOrder(self.cmbScan,self.txtTranscriptionDate)
        self.setTabOrder(self.txtTranscriptionDate,self.rdbRegExp)
        self.setTabOrder(self.rdbRegExp,self.rdbXML)
        self.setTabOrder(self.rdbXML,self.txtStreamRegExp)
        self.setTabOrder(self.txtStreamRegExp,self.txtElementRegExp)
        self.setTabOrder(self.txtElementRegExp,self.txtMorphemeRegExp)
        self.setTabOrder(self.txtMorphemeRegExp,self.bnLoad)
        self.setTabOrder(self.bnLoad,self.txtRawText)
        self.setTabOrder(self.txtRawText,self.lsvParseTree)
        self.setTabOrder(self.lsvParseTree,self.lsbProjects)

        self.lblDescription.setBuddy(self.txtDescription)
        self.lblRecording.setBuddy(self.cmbRecording)
        self.lblScan.setBuddy(self.cmbScan)
        self.lblLanguage.setBuddy(self.cmbLanguage)
        self.lblUrl.setBuddy(self.txtUrl)
        self.lblTitle.setBuddy(self.txtTitle)

    def event(self,ev):
        ret = QWizard.event(self,ev)

        if ev.type() == QEvent.ApplicationFontChange:
            lblDone_font = QFont(self.lblDone.font())
            lblDone_font.setPointSize(24)
            lblDone_font.setBold(1)
            lblDone_font.setItalic(1)
            self.lblDone.setFont(lblDone_font)

        return ret
