#!/usr/bin/env python

#
# Line edit control
#

from qt import *
from guiconfig import guiConfig

TRUE=1
FALSE=0

class guiLineEdit(QLineEdit):

  def __init__(self, parent, *args):
    apply(QLineEdit.__init__,(self, parent)+args)
    self.setFont(guiConfig.font)
    self.setMaximumHeight(self.sizeHint().height())

  def text(self):
    txt=QLineEdit.text(self)
    if txt.isEmpty()==TRUE:
      return None
    else:
      return unicode(txt)

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.4 $
    Last edited          : $Date: 2001/01/08 20:55:07 $
    
    CVS Log:         
    $Log: guilineedit.py,v $
    Revision 1.4  2001/01/08 20:55:07  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
